Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F165243099
D42719.id130428.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
1 KB
Referenced Files
None
Subscribers
None
D42719.id130428.diff
View Options
diff --git a/Mk/Scripts/do-users-groups.sh b/Mk/Scripts/do-users-groups.sh
--- a/Mk/Scripts/do-users-groups.sh
+++ b/Mk/Scripts/do-users-groups.sh
@@ -46,14 +46,16 @@
# Both scripts need to start the same, so
cp -f "${dp_UG_INSTALL}" "${dp_UG_DEINSTALL}"
+echo "set -e" >> "${dp_UG_INSTALL}"
+
if [ -n "${GROUPS}" ]; then
for file in ${dp_GID_FILES}; do
if [ ! -f "${file}" ]; then
error "** ${file} doesn't exist. Exiting."
fi
done
- ${dp_ECHO_MSG} "===> Creating groups."
- echo "echo \"===> Creating groups.\"" >> "${dp_UG_INSTALL}"
+ ${dp_ECHO_MSG} "===> Creating groups"
+ echo "echo \"===> Creating groups\"" >> "${dp_UG_INSTALL}"
for group in ${GROUPS}; do
# _bgpd:*:130:
if ! grep -q "^${group}:" ${dp_GID_FILES}; then \
@@ -202,7 +204,7 @@
if ! echo "${dp_USERS_BLACKLIST}" | grep -qw "${user}"; then
cat >> "${dp_UG_DEINSTALL}" <<-eot
if \${PW} usershow ${user} >/dev/null 2>&1; then
- echo "==> You should manually remove the \"${user}\" user. "
+ echo "==> You should manually remove the \"${user}\" user."
fi
eot
fi
@@ -214,7 +216,7 @@
if ! echo "${dp_GROUPS_BLACKLIST}" | grep -qw "${group}"; then
cat >> "${dp_UG_DEINSTALL}" <<-eot
if \${PW} groupshow ${group} >/dev/null 2>&1; then
- echo "==> You should manually remove the \"${group}\" group "
+ echo "==> You should manually remove the \"${group}\" group."
fi
eot
fi
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sat, Aug 8, 3:06 AM (15 h, 17 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
36207500
Default Alt Text
D42719.id130428.diff (1 KB)
Attached To
Mode
D42719: Mk/Scripts/do-users-groups.sh: Make users and groups creation fail-fast
Attached
Detach File
Event Timeline
Log In to Comment